part of 'connection_status_bloc.dart';

enum ConversationStatus {
  typing,
  recording,
  none,
}

class ConnectionStatusState {
  bool isLoading;
  List<String> users;
  Map connectionStatusByKeys;

  List blocked;
  List muted;

  ConnectionStatusState({
    required this.connectionStatusByKeys,
    required this.users,
    required this.blocked,
    required this.muted,
    this.isLoading = true,
  });

  ConnectionStatusState update({
    bool? isLoading,
    Map? connectionStatusByKeys,
    List<String>? users,
    List? blocked,
    List? muted,
  }) {
    return ConnectionStatusState(
      users: users ?? this.users,
      blocked: blocked ?? this.blocked,
      muted: muted ?? this.muted,
      connectionStatusByKeys:
          connectionStatusByKeys ?? this.connectionStatusByKeys,
      isLoading: isLoading ?? this.isLoading,
    );
  }
}
